Get Cash Flow Permissions

GET /ws/rest/service/v1/cashflow/prop/permission/{project_number}

Purpose

Fetches cash flow permissions.

The input JSON provides various options for fetching cashflow permissions.

Request Format

All parameters must be URL encoded.

project_number: Specify the Project number in which the curve exists.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of successful response with status code 200.

"data":

[

{

"property_name":"Project CF",

"user_group":

[

{

"name":"Admin",

"type":"U",

"id":1000,

"permission":

{

"modify_permission":1,

"edit_data":1,

"view":1

}

},

{

"name":"test Group",

"type":"PU",

"id":1000014,

"permission":

{

"modify_permission":0,

"edit_data":1,

"view":1

}

}

]

},

{

"property_name":"xyz",

"user_group":

[

{

"name":"Admin",

"type":"U",

"id":1000,

"permission":

{

"modify_permission":1,

"edit_data":1,

"view":1

}

}

]

}

],

"message": [ "success" ],

"status":200

}